# NWidgetHorizontalLTR Class Reference
[Hierarchical widgets]

Horizontal container that doesn't change the direction of the widgets for RTL languages. More...

`#include <widget_type.h>`

Inheritance diagram for NWidgetHorizontalLTR:

## Public Member Functions
| NWidgetHorizontalLTR (NWidContainerFlags flags=NC_NONE)
| Horizontal left-to-right container widget.
void | AssignSizePosition (SizingType sizing, uint x, uint y, uint given_width, uint given_height, bool rtl)
| Assign size and position to the widget.

## Detailed Description

Horizontal container that doesn't change the direction of the widgets for RTL languages.

Definition at line 390 of file widget_type.h.

## Constructor & Destructor Documentation

NWidgetHorizontalLTR::NWidgetHorizontalLTR | ( | NWidContainerFlags | flags = `NC_NONE` | ) |

Horizontal left-to-right container widget.

Definition at line 1248 of file widget.cpp.

References NWID_HORIZONTAL_LTR, and NWidgetBase::type.

## Member Function Documentation

void NWidgetHorizontalLTR::AssignSizePosition | ( | SizingType | sizing,
|  | uint | x,
|  | uint | y,
|  | uint | given_width,
|  | uint | given_height,
|  | bool | rtl |
| ) |  |  | `[virtual]`

Assign size and position to the widget.

Parameters:

  | sizing | Type of resizing to perform.
  | x | Horizontal offset of the widget relative to the left edge of the window.
  | y | Vertical offset of the widget relative to the top edge of the window.
  | given_width | Width allocated to the widget.
  | given_height | Height allocated to the widget.
  | rtl | Adapt for right-to-left languages (position contents of horizontal containers backwards).

Afterwards, pos_x and pos_y contain the top-left position of the widget, smallest_x and smallest_y contain the smallest size such that all widgets of the window are consistent, and current_x and current_y contain the current size.

Reimplemented from NWidgetHorizontal.

Definition at line 1253 of file widget.cpp.

References NWidgetHorizontal::AssignSizePosition().

The documentation for this class was generated from the following files:

- src/widget_type.h
- src/widget.cpp